## cascading.flow.stream
Class SparseTupleComparator

    java.lang.Object
      cascading.flow.stream.SparseTupleComparator

All Implemented Interfaces:
  Comparator<Tuple>

    public class SparseTupleComparator

extends Object
implements Comparator<Tuple>

Constructor Summary
`SparseTupleComparator(Fields groupFields, Comparator defaultComparator)`
`SparseTupleComparator(Fields valuesField, Fields sortFields)`
`SparseTupleComparator(Fields valuesFields, Fields sortFields, Comparator defaultComparator)`

Method Summary
`int` `compare(Tuple lhs, Tuple rhs)`
`Comparator[]` `getComparators()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SparseTupleComparator

    public SparseTupleComparator(Fields valuesField,
                                 Fields sortFields)

### SparseTupleComparator

    public SparseTupleComparator(Fields groupFields,
                                 Comparator defaultComparator)

### SparseTupleComparator

    public SparseTupleComparator(Fields valuesFields,
                                 Fields sortFields,
                                 Comparator defaultComparator)

Method Detail

### getComparators

    public Comparator[] getComparators()

### compare

    public int compare(Tuple lhs,
                       Tuple rhs)

  Specified by:
    `compare` in interface `Comparator<Tuple>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.